//
//  SnowFlake.h
//  ex08SnowFlake
//
//  Created by Suse on 20/05/15.
//
//

#ifndef ex08SnowFlake_SnowFlake_h
#define ex08SnowFlake_SnowFlake_h

#define numDendrites 6

class SnowFlake{
public:
    float x,y,rotation, angle;
    float endX[numDendrites], endY[numDendrites];
    
    void setup(){
        x=ofRandomWidth();
        y=ofRandomHeight();
        rotation=ofRandom(-2,2);
        angle=0;
        
        endX[0]=0;
        endY[0]=30;
        
        endX[1]=0;
        endY[1]=-30;
        
        endX[2]=ofRandom(10,30);
        endY[2]=ofRandom(10,30);
        
        endX[3]=endX[2]*-1;
        endY[3]=endY[2]*-1;
        
        endX[4]=endX[2]*-1;
        endY[4]=endY[2];
        
        endX[5]=endX[2];
        endY[5]=endY[2]*-1;
    }
    void update(){
        angle+=rotation;
        x+=ofxAccelerometer.getForce().x;
        y-=ofxAccelerometer.getForce().y;
    }
    
    void draw(){
        ofSetColor(255,200);
        ofSetLineWidth(5);
        
        ofPushMatrix();
        ofTranslate(x,y);
        ofRotate(angle);
        for (int i=0; i<numDendrites; i++) {
            ofLine(0,0,endX[i],endY[i]);
            ofCircle(endX[i], endY[i], 15);
        }
        ofPopMatrix();
    }

};


#endif
