#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    //ENVIRONMENT
    ofBackground(127, 127, 255);
    ofxAccelerometer.setup();
}

//--------------------------------------------------------------
void ofApp::update(){
    for (int i=0; i<mySnowFlake.size(); i++) {
        mySnowFlake[i].update();
    }
}

//--------------------------------------------------------------
void ofApp::draw(){
    for (int i=0; i<mySnowFlake.size(); i++) {
        mySnowFlake[i].draw();
    }
}

//--------------------------------------------------------------
void ofApp::exit(){

}

//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){
    if (touch.id==0) {
        SnowFlake myFlake;
        myFlake.setup();
        myFlake.x=touch.x;
        myFlake.y=touch.y;
        mySnowFlake.push_back(myFlake);
    }
    if (touch.id ==1){
        if (mySnowFlake.size()>0) {
            mySnowFlake.pop_back();
        }
    }
}

//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}
